Description

Hi,

Currently, with the field calculator, if no entity is selected, all will be changed according to the user's requests. This is not a problem if it is

the desire of the operator but it can be very devastating in a database if there is an omission of selection. It is so easy to make a voluntary

"Select All" before using the field calculator that the possibility of changing everything without selecting should not be offered.

History

#1 - 2017-12-04 08:19 PM - Giovanni Manghi

- Status changed from Open to Feedback

this is why no changes are actually saved until you exit the editing mode. Isn't that enough?

#2 - 2017-12-04 08:37 PM - Marc-André Saia

In my opinion, this is not enough. This can happen if you zoom in on a very small area. In addition, the consequences can be very unfortunate, even with

regular backups of the database. This has happened to me lately and I think it's a pretty serious problem to make it necessary to bring more security to the

use of the field calculator. Many times I was able to backtrack but once no and it is once too much.

#3 - 2017-12-04 08:39 PM - Giovanni Manghi

- Status changed from Feedback to Open

Marc-André Saia wrote:

In my opinion, this is not enough.

then you should really raise your concerns to a larger audience > the users and developers mailing lists.

#4 - 2017-12-11 03:50 PM - Marc-André Saia

- Assignee set to Victor Olaya

Dear Qgis team,

Mr. Giovanni Manghi recommended that I share my concerns with a wider audience.
So I'm assigning Mr. Victor Olaya, who is in charge of the toolboxes.

I also added the observers I think are relevant to this topic.

Regards,

Marc-André

#5 - 2017-12-12 08:28 AM - Jürgen Fischer

- Assignee deleted (Victor Olaya)

#6 - 2018-03-01 03:28 PM - Marc-André Saia

- File Qgis_boulier.jpg added

The problem persists in version 3.0 :(

It seems to me so simple that the box "Update only the 0 selected entities" is not grayed out and checked by default. In this case, no data would be

modified. The worst thing that could happen is that the user has to start over by unchecking the box.

Currently, it is very easy to destroy the data of a complete field, if we forget to select at least one entity to update.

!!
